PG_ON_CONNECTION_LOSS()

NAME
pg_on_connection_loss - set or change a callback for unexpected connection loss

SYNOPSIS

pg_on_connection_loss conn [callbackCommand]

DESCRIPTION

pg_on_connection_loss creates, changes, or cancels a request to execute a callback command if an unexpected loss of connection to the database occurs. With a callbackCommand parameter, the request is established, or the command string of an already existing request is replaced. With no callbackCommand parameter, a prior request is canceled.

The callback command string is executed from the Tcl idle loop. That is the normal idle state of an application written with Tk. In non-Tk Tcl shells, you can execute update or vwait to cause the idle loop to be entered.

ARGUMENTS

conn
    The handle to watch for connection losses.

callbackCommand
    If present, provides the command string to execute when connection loss is detected.

RETURN VALUE

None